<?php
class AnnotationReader {
    public static function getAnnotation($ref, $validators = array()) {
        $comments = self::formatComment(self::getDocComment($ref));
        return $comments;
    }

    public static function getDocComment($ref) {
        return $ref->getDocComment();
    }

    public static function formatComment($commentLine) {
        $comments = preg_split('/[\n\r]/', $commentLine, -1, PREG_SPLIT_NO_EMPTY);
        $count = count($comments);
        $annotations = array();
        foreach ($comments as $comment) {
            $pos = strpos($comment, '@');
            if ($pos !== false) {
                $annotations[] = trim(substr($comment, $pos));
            }
        }
        return $annotations;
    }
}
